#include "zonefile_cod2_360.h"

#include <QDataStream>
#include <QFile>
#include <QDebug>

ZoneFile_COD2_360::ZoneFile_COD2_360()
{
    
}

ZoneFile_COD2_360::~ZoneFile_COD2_360()
{
    
}

bool ZoneFile_COD2_360::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD2_360::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000017") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "") {
        return Utils::ASSET_COLLISION_MAP;
    } else if (cleanedType == "") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "") {
        return Utils::ASSET_GFX_MAP;
    } else if (cleanedType == "") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "00000006") {
        return Utils::ASSET_D3DBSP;
    } else if (cleanedType == "00000002") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "") {
        return Utils::ASSET_GAME_MAP_SP;
    } else if (cleanedType == "") {
        return Utils::ASSET_COL_MAP_SP;
    } else if (cleanedType == "") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "") {
        return Utils::ASSET_DESTRUCTIBLE;
    } else if (cleanedType == "00000004") {
        return Utils::ASSET_SHOCK_FILE;
    }
    return Utils::ASSET_NONE;
}
